# $Revision: 1.30 $, $Date: 2010/09/19 05:38:59 $
Summary:	MinGW32 Binary Utility Development Utilities - runtime libraries
Summary(pl.UTF-8):	Zestaw narzędzi MinGW32 - biblioteki uruchomieniowe
Name:		crossmingw32-runtime
Version:	3.18
%define runver	%{version}
%define	runsrc	mingwrt-%{runver}-mingw32
Release:	1
Epoch:		1
License:	Free
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/mingw/%{runsrc}-src.tar.gz
# Source0-md5:	34b54cb3379f871f0dcd5c20b69b0350
Patch0:		%{name}-stdinc.patch
URL:		http://www.mingw.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-binutils
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-w32api
BuildRequires:	dos2unix
Requires:	crossmingw32-binutils >= 2.15.91.0.2-2
Requires:	crossmingw32-w32api >= 3.1
Obsoletes:	crossmingw32-platform
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target			i386-mingw32
%define		target_platform		i386-pc-mingw32
%define		_prefix			/usr/%{target}
%define		_libdir			%{_prefix}/lib

# strip fails on static COFF files
%define		no_install_post_strip 1

%description
crossmingw32 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the MinGW32 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to i386-mingw32, along
with supporting Win32 libraries in 'coff' format from free sources.

This package contains MinGW32 runtime includes and libraries.

%description -l pl.UTF-8
crossmingw32 jest kompletnym systemem do kompilacji skrośnej,
pozwalającym budować aplikacje MS Windows pod Linuksem używając
bibliotek MinGW32. System składa się z binutils, gcc z g++ i objc,
libstdc++ - wszystkie generujące kod dla platformy i386-mingw32, oraz
z bibliotek w formacie COFF.

Ten pakiet zawiera pliki nagłówkowe i biblioteki uruchomieniowe
MinGW32.

%prep
%setup -q -n %{runsrc}
dos2unix Makefile.in configure.in mkinstalldirs */Makefile.in
%patch0 -p1 

%build
cp /usr/share/automake/config.sub .
%{__autoconf}
./configure \
	--prefix=%{_prefix} \
	--host=%{target} \
	--build=%{_target_platform}
%{__make} -C mingwex
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# makefile expects dir before creating it
install -d $RPM_BUILD_ROOT%{_prefix}/bin
%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix}

%if %{!?debug:1}0
%{target}-strip $RPM_BUILD_ROOT%{_bindir}/*.dll
%{target}-strip -g $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS ChangeLog DISCLAIMER README TODO readme.txt
%{_bindir}/mingwm10.dll
%{_includedir}/*.h
%{_includedir}/sys
%{_libdir}/CRT_*.o
%{_libdir}/binmode.o
%{_libdir}/crt*.o
%{_libdir}/dllcrt*.o
%{_libdir}/gcrt*.o
%{_libdir}/txtmode.o
%{_libdir}/libcoldname.a
%{_libdir}/libcrtdll.a
%{_libdir}/libgmon.a
%{_libdir}/libm.a
%{_libdir}/libmingw*.a
%{_libdir}/libmoldname*.a
%{_libdir}/libmsvcr*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-runtime.spec,v $
Revision 1.30  2010/09/19 05:38:59  qboosh
- unified MinGW32 caps

Revision 1.29  2010/03/18 06:23:27  qboosh
- updated to 3.18

Revision 1.28  2010/01/21 20:08:45  lkrotowski
- up to 3.16

Revision 1.27  2007/10/01 23:35:50  lkrotowski
- up to 3.13

Revision 1.26  2007/04/03 20:28:49  qboosh
- updated to 3.12
- updated configure patch

Revision 1.25  2007/02/19 21:40:46  qboosh
- updated to 3.11, updated patches

Revision 1.24  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.22  2006/08/01 18:38:53  pluto
- updated to 3.10.

Revision 1.21  2005/10/31 00:41:18  qboosh
- updated to 3.9

Revision 1.20  2005/08/14 23:56:12  qboosh
- updated to 3.8

Revision 1.19  2005/01/16 17:52:07  qboosh
- updated to 3.7

Revision 1.18  2004/11/10 13:47:03  paladine
- cosmetics

Revision 1.17  2004/09/22 22:31:18  jareq
- updated to 3.5
- updated to w32api 3.5
- rel 1

Revision 1.16  2004/05/29 12:51:32  qboosh
- added docs

Revision 1.15  2004/05/08 16:24:40  wolf
- 3.3

Revision 1.14  2004/01/25 00:40:46  undefine
- use libdir in %{arch}/lib, not /lib64
- release 2

Revision 1.13  2004/01/01 09:46:52  jajcus
- copy config.sub from automake

Revision 1.12  2003/11/11 11:24:10  qboosh
- BR: autoconf

Revision 1.11  2003/10/20 12:27:40  jareq
- upgrade to 3.2

Revision 1.10  2003/09/16 14:56:54  wolf
- runtime - 3.1
- w32api - 2.4

Revision 1.9  2003/08/21 07:24:37  ankry
- s/kroskompilator/kompilator skrośny/

Revision 1.8  2003/08/18 08:07:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/08/06 16:52:33  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.6  2003/07/04 16:09:30  wiget
- compile it
- release 2

Revision 1.5  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:46:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/12 08:29:52  wiget
- updated to 3.0

Revision 1.2  2003/04/05 18:22:49  qboosh
- added %%{arch}/bin directory for mingw32 binaries
- use http for sourceforge

Revision 1.1  2003/04/05 15:09:54  qboosh
- separated from crossmingw32-platform.spec, updated to 2.4
